<template>
  <div>
    <h1 class="mb-6">With the right sexual stimulation can you experience any of the following?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        v-model="selected"
        :input-value="choice"
      >
        {{ choice }}
      </radio-input>
    </div>
    <CommonBtn
      @click="handleClick"
      text="Next"
      :disabled="!selected"
    />
  </div>
</template>

<script>
import RadioInput from "@/components/inputs/RadioInput";
import {answersMixin} from "@/utils/mixins";
import CommonBtn from "@/components/common/CommonBtn";

const NEITHER_CHOICE = 'Neither initiate nor maintain an erection'

export default {
  mixins: [answersMixin],
  name: "YourHealth4",
  components: {CommonBtn, RadioInput},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_4')
    }
  },
  data() {
    return {
      choices: [
        'Initiate an erection',
        'Maintain an erection',
        NEITHER_CHOICE,
      ],
      selected: null,
    }
  },
  methods: {
    handleClick() {
      if (this.selected === NEITHER_CHOICE) {
        this.$emit('goTo', 6)
      } else {
        this.$emit('nextStage')
      }
    }
  }
}
</script>

<style scoped>

</style>
